# Workers

Arkindex has a powerful system to run asynchronous tasks. Those are based on
Docker images, and can do about anything (ML processing, but also to import
data into Arkindex, export from Arkindex to another system or file format...)

This section consists of the following guides:

## Contents

* [Setting up a new worker](create.md)
* [Running your worker locally](run-local.md)
* [Maintaining a worker](maintenance.md)
* [GitLab CI for workers](ci/index.md)
* [YAML configuration](yaml.md)
* [Template structure](template-structure.md)
